### Function

# Gio IOSchedulerJobFunc

deprecated: 2.36

#### Declaration

    gboolean
    (* GIOSchedulerJobFunc) (
      GIOSchedulerJob* job,
      GCancellable* cancellable,
      gpointer data
    )

#### Description

I/O Job function.

Long-running jobs should periodically check the `cancellable` to see if they have been cancelled.

Deprecated since: 2.36

Use `GThreadPool` or `g_task_run_in_thread()`.

#### Parameters

`job`

  Type: `GIOSchedulerJob`

  A `GIOSchedulerJob`.

  The data is owned by the caller of the function.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, `NULL` to ignore.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`data`

  Type: `gpointer`

  Data passed to the callback function.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`TRUE` if this function should be called again to complete the job, `FALSE` if the job is complete (or cancelled).